This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 957800 - Review Request: tegrarcm - Send code to a Tegra device in recovery mode
Review Request: tegrarcm - Send code to a Tegra device in recovery mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Michael Scherer
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-04-29 10:39 EDT by Nicolas Chauvet (kwizart)
Modified: 2013-05-23 15:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 15:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2013-04-29 10:39:27 EDT
Spec URL: http://rpms.kwizart.net/fedora/reviews/ac100/tegrarcm.spec
SRPM URL: http://rpms.kwizart.net/fedora/reviews/ac100/tegrarcm-1.2-1.fc18.src.rpm
Description: Send code to a Tegra device in recovery modeFedora Account System Username: kwizart

Scratch build on f19
http://koji.fedoraproject.org/koji/taskinfo?taskID=5313174
Comment 1 Nicolas Chauvet (kwizart) 2013-04-29 11:37:49 EDT
For the record, this package has passed fedora-legal:
http://lists.fedoraproject.org/pipermail/legal/2012-October/001987.html
http://lists.fedoraproject.org/pipermail/legal/2012-July/001923.html
Comment 2 Michael Scherer 2013-04-30 17:27:31 EDT
Strange, there is a license file upstream, but not in the tarball you used 

http://nv-tegra.nvidia.com/gitweb/?p=tools/tegrarcm.git;a=blob;f=LICENSE;h=e126375e90e22f37d28924621181ab932a87d8b3;hb=HEAD

I guess the makefile forget to bundled it, can you see with upstream and ship the file ?

( I think "EXTRA_DIST = LICENSE" in makefile.am would do the trick )

Anyway, if you can fix that, that would be good.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== Errors =====

[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

[!]  License is not valid, there is 2 And instead of 1

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 3 files have unknown license.
     Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/957800-tegrarcm/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tegrarcm-1.2-1.fc19.x86_64.rpm
tegrarcm.x86_64: W: spelling-error %description -l en_US ventana -> Vedanta, covenant
tegrarcm.x86_64: W: spelling-error %description -l en_US cardhu -> card
tegrarcm.x86_64: W: spelling-error %description -l en_US dalmore -> marmoreal
tegrarcm.x86_64: W: invalid-license and Redistributable, no modification permitted
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tegrarcm
tegrarcm.x86_64: W: spelling-error %description -l en_US ventana -> Vedanta, covenant
tegrarcm.x86_64: W: spelling-error %description -l en_US cardhu -> card
tegrarcm.x86_64: W: spelling-error %description -l en_US dalmore -> marmoreal
tegrarcm.x86_64: W: invalid-license and Redistributable, no modification permitted
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
tegrarcm (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcryptopp.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
tegrarcm:
    tegrarcm
    tegrarcm(x86-64)



Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-19-x86_64
Command line :./try-fedora-review -b 957800
Comment 3 Nicolas Chauvet (kwizart) 2013-04-30 18:22:56 EDT
Hi Michael,

patch sent upstream about the License redistribution.
I've made a fixed tarball and included the license in %%doc without bumping the release locally.
Comment 4 Michael Scherer 2013-04-30 19:20:19 EDT
Ok, i guess that should do it, let's approve it.
Comment 5 Nicolas Chauvet (kwizart) 2013-05-01 03:54:51 EDT
New Package SCM Request
=======================
Package Name: tegrarcm
Short Description: Send code to a Tegra device in recovery mode
Owners: kwizart
Branches: f17 f18 f19 el6
InitialCC:
Comment 6 Jon Ciesla 2013-05-01 06:58:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.